var currentSection = 'blogs';
var eventsTicker = null;

function $(id)
{
	return document.getElementById(id);
}

function switchSection(sectionId)
{
	if(!layout.useSoftkeys)
	{
		$(currentSection + '_tab').className = 'toolbar_button';
		$(sectionId + '_tab').className = 'toolbar_button toolbar_button_active';
	}
	
	currentSection = sectionId;

	layout.gotoScreen("screen_" + sectionId);
	
	if(layout.useSoftkeys)
	{
		updateRightSoftkey();
	}
}
function updateRightSoftkey()
{
	if(layout.useSoftkeys)
	{
		if(currentSection == 'blogs')
		{
			if($('blogs_container').style.display == 'none')
				setBackSoftkey();
			else
				setExitSoftkey();
		}
		else if(currentSection == 'dibo')
		{
			if($('dibo_container').style.display == 'none')
				setBackSoftkey();
			else
				setExitSoftkey();
		}
		else
			setExitSoftkey();
	}
}
function setBackSoftkey()
{
	menu.setRightSoftkeyLabel('Back', goBack);
}
function setExitSoftkey()
{
	menu.setRightSoftkeyLabel('Exit', exit);
}
function exit()
{
	window.close();
}
function goBack()
{
	if(currentSection == 'blogs')
	{
		showBlogList();
	}
	else if(currentSection == 'dibo')
	{
		showDiboList();
	}
	updateRightSoftkey();
}

function init(firstScreen)
{
	loadLocalUpdates();
	
	widget.setNavigationEnabled(false);
	
	addTactileFeedback();
	
	initStyle();
	
	layout.useSoftkeys = !is5thEdition();
	
	var blogsItem = layout.addMainOption('Blogs', 1001, function(){switchSection('blogs');});
	var diboItem = layout.addMainOption('Boards', 1002, function(){switchSection('dibo');});
	var moreItem = layout.addMainOption('More', 1003, function(){switchSection('more');});
	
	if(!layout.useSoftkeys)
	{
		blogsItem.id = 'blogs_tab';
		blogsItem.className = 'toolbar_button toolbar_button_active';
		addFeedbackAttribute(blogsItem);
		diboItem.id = 'dibo_tab';
		addFeedbackAttribute(diboItem);
		moreItem.id = 'more_tab';
		addFeedbackAttribute(moreItem);
		$('screen_container').style.overflow = 'hidden';
	}
	else
	{
		var moreItem = layout.addMainOption('Info', 1004, showWidgetInfo);
	}
	
	eventsTicker = new NewsTicker(
		new Array('Loading...'), 
		document.getElementById('ticker_container'), 
		'100%',
		'30px'
	);
	
	layout.setupInterface();
	
	eventsTicker.setNewsClickHandler(eventClick);
	
	eventsTicker.setAnimationStepPixels(5);
	
	eventsTicker.start();
	
	layout.init('screen_blogs');
	
	loadData();
	
	loadFontSize();
	
	loadAutoRefresh();
}

function loadData()
{
	loadDibo();
	
	loadBlogs();
	
	loadEvents();
}

function initStyle()
{
	document.styleSheets[2].disabled = is5thEdition();
	document.styleSheets[1].disabled = !is5thEdition();
}
function is5thEdition()
{
	return window.innerWidth > 320 && window.innerHeight > 320;
}


/* tactile feedback */
var sysinfo = null;

function addTactileFeedback()
{
	sysinfo = document.getElementById("sysinfo");
	
	document.addEventListener('click', tactileFeedback, false);
}

function tactileFeedback(event)
{
/*	var target = event.target;
	
	var feedback = target.attributes.feedback;

	if(feedback)
	{
		sysinfo.startvibra(50, feedback.nodeValue);
	}*/
}
function addFeedbackAttribute(node)
{
	var feedback = document.createAttribute('feedback');

	feedback.nodeValue = '100';

	node.attributes.setNamedItem(feedback);
}

function showWidgetInfo()
{
	layout.gotoScreen('screen_info');
}
