var blogItems = null;

function loadBlogs()
{
	$('blogs_loader').style.display = '';
	
	loadRSS(url_blogs, blogsHandler);
}
function blogsHandler(items)
{
	$('blogs_loader').style.display = 'none';
	
	if(items)
	{
		blogItems = items;
		
		showBlogItems();
	}
	else
	{
		showBlogError('Error while retrieving blogs feed')
	}
}
function showBlogError(txt)
{
	$('blogs_container_content').innerHTML = txt;
}
function showBlogItems()
{
	var container = $('blogs_container_content');
	
	container.innerHTML = '';
	
	for(var i = 0; i < blogItems.length; i++)
	{
		var el = document.createElement('a');
		
		el.innerHTML = blogItems[i].title;
		
		el.itemIndex = i;
		
		el.href = "#";
		
		el.onclick = showBlogDetail;
		
		addFeedbackAttribute(el);
		
		el.className = 'item_title';
		
		var info = document.createElement('div');
		
		info.className = 'item_info';
		
		info.innerHTML = 'posted by <strong>' + blogItems[i].creator + '</strong>';
			
		el.appendChild(info);
		
		container.appendChild(el);
	}
}

function showBlogDetail()
{
	document.body.scrollTop = 0;
	
	$('blogs_container').style.display = 'none';
	$('blogs_detail').style.display = '';
	
	var item = blogItems[this.itemIndex];
	
	var container = $('blog_item_detail');
	
	container.innerHTML = '';
	
	var back = document.createElement('a');
	back.className = 'content_button';
	back.innerHTML = 'Back to Blogs';
	back.href = "#";
	back.onclick = showBlogList;
	container.appendChild(back);
	
	var itemURL = item.link;
	
	var link = document.createElement('a');
	link.className = 'content_button';
	link.innerHTML = 'Open in Web Browser';
	link.href = "#";
	link.onclick = function()
	{
		widget.openURL(itemURL);
	}
	
	
	if(!layout.useSoftkeys)
	{
		back.className += ' content_button_touch';
		link.className += ' content_button_touch';
	}
	
	var title = document.createElement('div');
	title.className = 'item_title';
	title.innerHTML = item.title;
	container.appendChild(title);
	
	var info = document.createElement('div');
	info.className = 'item_info';
	info.innerHTML = 'posted by <strong>' + item.creator + '</strong>';
	title.appendChild(info);
	
	var desc = document.createElement('div');
	desc.className = 'item_description';
	desc.innerHTML = normalizeHtml(item.description);
	container.appendChild(desc);
	
	container.appendChild(link);
	
	setBackSoftkey();
}

function showBlogList()
{
	document.body.scrollTop = 0;
	
	$('blogs_container').style.display = '';
	$('blogs_detail').style.display = 'none';
}
