var diboItems = null;

var diboData = new Array(
	{}
);

function loadDibo()
{
	$('dibo_loader').style.display = '';
	
	loadRSS(url_dibo, diboHandler);
}
function diboHandler(items)
{
	$('dibo_loader').style.display = 'none';
	
	if(items)
	{
		diboItems = items;
		
		showDiboItems();
	}
	else
	{
		showDiboError('Error while retrieving dibo feed')
	}
}
function showDiboError(txt)
{
	$('dibo_container_content').innerHTML = txt;
}
function showDiboItems()
{
	var container = $('dibo_container_content');
	
	container.innerHTML = '';
	
	for(var i = 0; i < diboItems.length; i++)
	{
		var el = document.createElement('a');
		
		el.innerHTML = diboItems[i].title;
		
		el.feedback = "100";
		
		el.itemIndex = i;
		
		el.href = "#";
		
		el.onclick = showDiboDetail;
		
		addFeedbackAttribute(el);
		
		el.className = 'item_title';
		
		var info = document.createElement('div');
		
		info.className = 'item_info';
		
		info.innerHTML = 'posted by ' + diboItems[i].creator + ' in <strong>' + 
			diboItems[i].category + ' board';
			
		el.appendChild(info);
		
		container.appendChild(el);
	}
}


function showDiboDetail()
{
	document.body.scrollTop = 0;
	
	$('dibo_container').style.display = 'none';
	$('dibo_detail').style.display = '';
	
	var item = diboItems[this.itemIndex];
	
	var container = $('dibo_item_detail');
	
	container.innerHTML = '';
	
	var back = document.createElement('a');
	back.className = 'content_button';
	back.innerHTML = 'Back to DiBo';
	back.href = "#";
	back.onclick = showDiboList;
	container.appendChild(back);
	
	var itemURL = item.link;
	
	var link = document.createElement('a');
	link.className = 'content_button';
	link.innerHTML = 'Open in Web Browser';
	link.href = "#";
	link.onclick = function()
	{
		widget.openURL(itemURL);
	}
	
	
	if(!layout.useSoftkeys)
	{
		back.className += ' content_button_touch';
		link.className += ' content_button_touch';
	}
	
	var title = document.createElement('div');
	title.className = 'item_title';
	title.innerHTML = item.title;
	container.appendChild(title);
	
	var info = document.createElement('div');
		
	info.className = 'item_info';
	
	info.innerHTML = 'posted by ' + item.creator + ' in <strong>' + 
		item.category + ' board';
		
	title.appendChild(info);
	
	var desc = document.createElement('div');
	desc.className = 'item_description';
	desc.innerHTML = item.description;
	container.appendChild(desc);
	
	container.appendChild(link);
	
	setBackSoftkey();
}
function showDiboList()
{
	document.body.scrollTop = 0;
	
	$('dibo_container').style.display = '';
	$('dibo_detail').style.display = 'none';
}